﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace TreeViewAlwaysExpanded
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            var source = Enumerable.Range(1, 20).Select(i => new TreeModel() { 
                Title = "Parent " + i ,
                Children = Enumerable.Range(1, 20).Select(j => new TreeModel() { Title = "Child " + j }).ToList()
            }).ToList();

            treeView.ItemsSource = source;
        }

        private void RadTreeView_PreviewExpanded(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
        }

        private void RadTreeView_PreviewCollapsed(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            e.Handled = true;
        }
    }

    public class TreeModel
    {
        public string Title { get; set; }

        public IList<TreeModel> Children { get; set; }
    }
}
